Автор Тема: Слишком долгое завершение работы Alt Linux Workstation K10  (Прочитано 4202 раз)

Оффлайн artenaki

  • Давно тут
  • **
  • Сообщений: 198
Просто не обновлялся. Нужный софт собирал руками.
Как я уже говорил, некоторые люди до сих пор пользуются XP 2008 года.

У меня была мысль обновиться когда вышла Ubuntu 18.04 в 2018 году (с 16.04, которую я ставил в 2017), но как раз произошел такой случай: в 16.04 (с первоначальным ядром 4.4, может это важно) обновил VirtualBox с 6.0 на 6.1 линейку и словил баг - виртуальная XP не ставилась на втором этапе, стабильно. Пришлось откатываться на самую первую ревизию 6.0 - XP прекрасно стала ставиться в VirtualBox. С тех пор я обновления невзлюбил и на 18.04 (и далее) передумал обновляться. Ну, а в 2023 сменил железо и накатил новую ось, не старую же ставить.

Да, столько мы пережили всего с Xenial...
UPD: А компилировать я научился только в 2020 году. Жизнь заставила. PPA с VapourSynth удалили и пришлось собирать самому. Потом освоил cmake, meson, Rust, кросскомпиляцию в MinGW. Вообще на Линукс можно только ради этого переходить, чтобы ковыряться + изучение обхода блокировок. А на винде я интересовался обработкой видео (AviSynth, XviD4PSP5 и пр.) Это другой мир.
« Последнее редактирование: 05.01.2024 17:53:46 от artenaki »

Оффлайн gosts 87

  • Завсегдатай
  • *
  • Сообщений: 2 785
  • Дмитрий/Dmitry/德米特里/दिमित्री
Мне сказали, что 5.1 скорее всего не будет. Будет 6.0 после релиза Plasma 6.
Команда разработчиков проги в которой я состою, уже под 6-е "кеды" код пишет. :)

Оффлайн artenaki

  • Давно тут
  • **
  • Сообщений: 198
Под шестые кеды или под Qt6? Так то Qt6 есть почти новый.
Плазмой не пользуюсь, пофиг на нее. Всегда тормозом была. Пользователи это даже не отрицают. Соглашаются, что нужно мощное железо, проприетарные дрова. Потому что OpenGL во все поля.
Красива, удобна, да. Но очень уж много настроек.

Помню, когда я купил новый комп с i5 в 2011, поставил openSUSE 12.1 с KDE4 (openSUSE приглянулась мне из-за прикольного немецкого зеленого хамелеона, решил ее использовать). Уже тогда о кедах сложилось неприятное впечатление. Секунд 20 после старта висели, может из-за akonadi. Но повторюсь удобно, да. Раньше еще было падуче, сейчас, наверное, уже нет. Хотя, не факт. В итоге поменял openSUSE на Win7 x64. Был Arch с Xfce в дуалбуте (Xfce потому что GTK3/GNOME3 были очень спорные). Держу вас в курсе.
Xfce до сих пор рабочая лошадка. Хотя, попортили Крысу не мало. Всякой отрисовкой на стороне клиента (CSD). Хорошо хоть с Greybird темой это смотрится не так отвратно. Зато Firefox считай мертв. Спасибо GTK3.
« Последнее редактирование: 05.01.2024 18:03:28 от artenaki »

Оффлайн artenaki

  • Давно тут
  • **
  • Сообщений: 198
Команда разработчиков проги в которой я состою, уже под 6-е "кеды" код пишет
Ну что могу сказать. В этом весь Линукс. Разработка на самом новье. Побольше мучений таким как я. Любителям стабильности. Уж я хлебнул по полной.
В то время как на Windows 10 разрабатывают и собирают софт, который запускается на XP...
И это ведь я еще не такой ретроград, как Zenitur.
Вот за что уважаю Rust и Golang, не создают проблем старым линуксам. Для людей делались.
С другой стороны, под винду одно мучение собирать.
В идеале сидеть на новом линуксе. Но остановить бы время...
« Последнее редактирование: 05.01.2024 18:17:21 от artenaki »

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 961
    • Домашняя страница
    • Email
Это Rust не создаёт проблем с бэкпортированием на старые версии? Да кривее и ужаснее его поискать надо! Каждый переход на очередной мажорный Firefox ESR – подвиг с обязательным бутстрапом rust.
Андрей Черепанов (cas@)

Оффлайн Виктор Дуб

  • Завсегдатай
  • *
  • Сообщений: 533
Как я уже говорил, некоторые люди до сих пор пользуются XP 2008 года.
Некрофилы наверно.

Оффлайн gosts 87

  • Завсегдатай
  • *
  • Сообщений: 2 785
  • Дмитрий/Dmitry/德米特里/दिमित्री
Под шестые кеды или под Qt6?
Производится адаптация Qt6, для последующей интеграции с KDE6.
Под Qt6 "запилили" уже давно.
В идеале сидеть на новом линуксе. Но остановить бы время...
Для этого Дебиан есть.

Оффлайн Nicom

  • Завсегдатай
  • *
  • Сообщений: 710
Как я уже говорил, некоторые люди до сих пор пользуются XP 2008 года.
Некрофилы наверно.
Зачем так категорично.Всё ещё есть много оборудования которое до сих пор нормально работает, или которое просто нечем заменить, а программки для общения с этим оборудованием нормально не работали уже на Win 7, то драйвер не ставится, то флэшплейер, то окно отрисовывается с ошибками. Так и приходится держать xp в виртуалбоксе, зато на ней всё только нужное, ничего лишнего. А для старых ИБП APC и программатора держим старый ноутбук с LPT и COM портами.

Оффлайн nialiv

  • Давно тут
  • **
  • Сообщений: 106
    • Email
Плазмой не пользуюсь, пофиг на нее. Всегда тормозом была.
А вот я пользуюсь исключительно Плазмой. Во-первых, столько настроек, как у Плазмы нет ни у одного графического окружения рабочего стола, во-вторых, Плазму можно настроить так, что она буквально летает не хуже, чем Xfce с настройками по умолчанию, в-третьих, у подавляющего большинства компьютеров оперативной памяти установлено минимум 4 GB, а этого для Плазмы "выше крыши". У моей жены старенький ноутбук Lenovo Thinkpad SL510 с процессором Intel Celeron Dual-Core T3500 и оперативкой 4 GB DDR3-1333, было 2 GB, ещё 2 GB добавил по случаю, работает не хуже, чем мой десктоп с Intel core I3 7100 с 8 GB оперативки DDR4-2400, причём и там, и там установлена система Debian 11 Plasma и, что интересно, раздел подкачки за последние 12 лет никогда не использовался, а оперативки используется около 1,7 GB при 2-х активных страницах в браузере Firefox.
А вот Гномом последний раз пользовался примерно 10 лет назад, когда Debian 7 комплектовался исключительно Gnome 2, а с появлением "гномика" 3-й версии, перешёл исключительно на Плазму, с Xfce у меня, или моего оборудования какая-то фатальная несовместимость, глючит по чёрному.

Оффлайн artenaki

  • Давно тут
  • **
  • Сообщений: 198
Это Rust не создаёт проблем с бэкпортированием на старые версии?
Да, упаковщикам со старой версией плохо. Но если поставить новый Rust с сайта (в /usr/local или home), то можно скомпилировать и запустить новый Rust софт на старом линуксе, это я имел в виду.
Проблемы будут при кросскомпиляции под винду на линуксе, там есть баг - старый mingw не линкует exe из-за другого типа указателей или отладки, я не помню. Причем, только в 32 битах, вроде. А у golang с кросскомпиляцией гораздо лучше.
Если в дистре старый Rust, тут конечно у упаковщиков будут проблем. Надо обновлять. Но вы ведь его готовый с сайта берете?

Да кривее и ужаснее его поискать надо
Бывает некоторый Rust начинает съедать все ядра и зависать или сыпать некритичными ошибками. Посоветую его бинарники запускать через taskset -c 1 чтобы ограничить ядра до 1.

столько настроек, как у Плазмы нет ни у одного графического окружения рабочего стола
Ну, кто-то любит много настроек. Я вот не очень.

Плазму можно настроить так, что она буквально летает
У вас видимо относительно современная видеподсистема. Т.к. современные DE активно используют OpenGL (хотя, у Plasma вроде можно переключить рендер, но может появиться тиринг, а может не появиться). В виртуалке из коробки Plasma тормозит сильнее, чем LXQt.

Кстати, вспомнил в 2011 новый комп с NVIDIA. openSUSE 12.1 KDE4 32 bit. Ставил проприетарные драйвера и интерфейс начинал работать не очень быстро (обидно, новое железо). Переключаешь KDE4 на XRender и всё летает, но появляется тиринг.
Опять не везло. Это всё дела давно минувших дней. Но я не вижу, чтобы что-то менялось, несмотря на то, что на русских форумах поют об обратном. А на западных наоборот говорят нужна современная видеокарта, проприетарные драйвера, тяжеловата.
Я верю, что она ест не так много RAM уже. Но все равно получается нужна нормальная видеокарта. И потому в виртуалке тормозит. А в живую я мало тестю. Мне особо не нужна Plasma. Слишком много настроек, слишком слащава. Зачем это мне? Хотя, уверен среда норм для многих людей.

Оффлайн gosts 87

  • Завсегдатай
  • *
  • Сообщений: 2 785
  • Дмитрий/Dmitry/德米特里/दिमित्री
И потому в виртуалке тормозит.
У меня виртуалка стоит только потому, что я в ней эту прогу тестирую в Сизифе. Для нормального использования нужно устанавливать систему на диск, а не в ВМ.

Оффлайн Виктор Дуб

  • Завсегдатай
  • *
  • Сообщений: 533
Слишком много настроек, слишком слащава. Зачем это мне?
Так же смотрю на это. Тем более, юзер пользуется не системой, а приложениями.

Оффлайн nialiv

  • Давно тут
  • **
  • Сообщений: 106
    • Email
Спасибо всем. Проблема, считаю, решена, хотя не без помощи "костылей", или "подпорок". Для выключения и перезагрузки создал скрипты, которые останавливают работу teamviewerd, перед выключением, или перезагрузкой.
Однако, это не настоящее решение проблемы, а только обходной путь для её компенсации.
У Альта накопилось довольно большое количество проблем, требующих решения. Например,
1. Получение прав суперпользователя командой "su -", что приводит к небольшим проблемам при вводе некоторых системных команд и запуске пользовательских скриптов от имени суперпользователя, в большинстве других Linux систем этого нет.
2. Неадекватная работа Network Manager, к чести разработчиков, надо сказать, Alt Linux оказалась пока единственной системой, в которой удалось настроить работу проводной и Wi-Fi сетей одновременно, без использования Network Manager, исключительно, через терминал.
3. Неадекватная работа клавиатуры, связанная с автоматическим переключением раскладок по принципу, известному только разработчикам системы, частично обойдена настройками Plasma.
Есть и другие проблемы, типа громадной перегруженности системы ненужным ПО, удаление которого несёт существенные риски краха системы.
Однако Alt Linux остаётся флагманом российских операционных систем (до сего времени храню, как сувенир фирменный дистрибутив Alt Linux 2.1 Junior) и остаётся первым кандидатом на статус моей основной системы, сейчас это Debian 12 plasma.
Спасибо всем, а всех православных с Рождеством Христовым!

Оффлайн artenaki

  • Давно тут
  • **
  • Сообщений: 198
С Рождеством!
Поставил openSUSE Leap Xfce 15.5 в виртуалку. Тоже тупит при выключении (на Session 3). Просто какая-то мания.

Оффлайн Nicom

  • Завсегдатай
  • *
  • Сообщений: 710
1. Получение прав суперпользователя командой "su -", что приводит к небольшим проблемам при вводе некоторых системных команд и запуске пользовательских скриптов от имени суперпользователя, в большинстве других Linux систем этого нет.
Всё просто, после ввода "su -" вы на время, до момента выхода из сеанса, становитесь root. Вам теперь не надо мучиться с командой "sudo", просто пишите нужные вам команды.
Для запуска пользовательских скриптов есть пользователь и его окружение. Пользовательские скрипты не нужно запускать от имени root, соответственно, ни "su -" ни "sudo" ненужны.

Есть и другие проблемы, типа громадной перегруженности системы ненужным ПО, удаление которого несёт существенные риски краха системы.
Возьмите понравившийся дистрибутив стартеркит и установите только то, что вам действительно нужно.